ApiKeys

List API keys

Returns the organization's API keys, newest first, filterable by status and a search term matched against name and description.

GET
/v1/api-keys

Returns the organization's API keys, newest first, filterable by status and a search term matched against name and description. Pass nextCursor back as cursor for the next page; it is null on the last page.

x-api-key<token>

In: header

Query Parameters

limit?string|null
cursor?CursorEncoded|null
status?|null
search?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/api-keys"
{  "items": [    {      "id": "string",      "name": "string",      "key": "string",      "start": "string",      "description": "string",      "createdAt": "string",      "expiresAt": "string",      "lastUsedAt": "string",      "isActive": true,      "access": {        "mode": "full"      },      "owner": {        "id": "string",        "name": "string",        "email": "string"      }    }  ],  "nextCursor": "string"}

Related documentation